# Project file for BIRT version 2.x
# Copyright Vrai Stacey, 2008
#
# See README file for instructions on how to compile/build BIRT.
#
# $Id: birt.pro 1465 2008-11-16 21:19:39Z vrai $

TARGET          = birt
INSTALL_PATH    = /usr/local/birt

TEMPLATE        = app
DEPENDPATH      += .
INCLUDEPATH     += .

FORMS           += birt.ui                  \
                   errors.ui                \
                   help.ui                  \
                   progress.ui              \
                   searching.ui

HEADERS         += birtdialog.h             \
                   directorylineedit.h      \
                   errorsdialog.h           \
                   filelistmodel.h          \
                   filelistmodelbutton.h    \
                   filelistview.h           \
                   filesearcher.h           \
                   formatcombobox.h         \
                   imageformats.h           \
                   imageresizer.h           \
                   integerlineedit.h        \
                   helpbrowser.h            \
                   helpdialog.h             \
                   outputmodel.h            \
                   percentlabel.h           \
                   percentslider.h          \
                   progressdialog.h         \
                   ratiocombobox.h          \
                   ratiostrategy.h          \
                   ratiostrategyimpl.h      \
                   scalingcombobox.h        \
                   searchingdialog.h        \
                   selectionbutton.h        \
                   stringintbridge.h        \
                   transformationmodel.h

SOURCES         += birtdialog.cpp           \
                   directorylineedit.cpp    \
                   errorsdialog.cpp         \
                   filelistmodel.cpp        \
                   filelistmodelbutton.cpp  \
                   filelistview.cpp         \
                   filesearcher.cpp         \
                   formatcombobox.cpp       \
                   imageformats.cpp         \
                   imageresizer.cpp         \
                   integerlineedit.cpp      \
                   helpbrowser.cpp          \
                   helpdialog.cpp           \
                   outputmodel.cpp          \
                   main.cpp                 \
                   percentlabel.cpp         \
                   percentslider.cpp        \
                   progressdialog.cpp       \
                   ratiocombobox.cpp        \
                   ratiostrategy.cpp        \
                   ratiostrategyimpl.cpp    \
                   scalingcombobox.cpp      \
                   searchingdialog.cpp      \
                   selectionbutton.cpp      \
                   stringintbridge.cpp      \
                   transformationmodel.cpp

RESOURCES       += birt.qrc

RC_FILE			= birt.rc
ICON            = images/birt.icns

macx {
    # Curtails the huge number of linker visiblity warnings OS X/Makefile projects otherwise produce
    QMAKE_CXXFLAGS += -fvisibility=hidden
    # The OS X build should always be static
    QTPLUGIN       += qjpeg qgif qtiff
} else {
    DEFINES         += QT_SHARED
}

CONFIG          += qt warn_on release x86 ppc
QT              +=

target.path = $$INSTALL_PATH
target.files = LICENSE.txt README.txt
target.extra = cp $$TARGET $$INSTALL_PATH/

INSTALLS    += target

