// Copyright Vrai Stacey, 2008
// $Id: errorsdialog.cpp 1424 2008-10-05 16:18:54Z vrai $

#include "errorsdialog.h"

ErrorsDialog::ErrorsDialog ( QWidget * parent )
    : QDialog ( parent )
{
    m_ui.setupUi ( this );
    
    // Setup the table widget
    m_ui.errorTableWidget->setColumnCount ( 2 );
    m_ui.errorTableWidget->setRowCount ( 0 );
    
    // Connect the close button to the reject event
    connect ( m_ui.closeButton,  SIGNAL( clicked ( ) ), this, SLOT( reject ( ) ) );
}

void ErrorsDialog::setErrors ( const QHash<QString, QString> & errors )
{
    m_ui.errorTableWidget->clear ( );

    // Clear the table and load in the errors provided
    QStringList files ( errors.keys ( ) );
    m_ui.errorTableWidget->setRowCount ( files.size ( ) );
    for ( int fileIndex ( 0 ), fileCount ( files.size ( ) ); fileIndex < fileCount; ++fileIndex )
    {
        m_ui.errorTableWidget->setItem ( fileIndex, 0, new QTableWidgetItem ( files [ fileIndex ] ) );
        m_ui.errorTableWidget->setItem ( fileIndex, 1, new QTableWidgetItem ( errors [ files [ fileIndex ] ] ) );
    }
    
    // Make sure that the headers have the correct value
    m_ui.errorTableWidget->setHorizontalHeaderItem ( 0, new QTableWidgetItem ( tr ( "File" ) ) );
    m_ui.errorTableWidget->setHorizontalHeaderItem ( 1, new QTableWidgetItem ( tr ( "Error" ) ) );

    // Expand the error column to match the contents
    m_ui.errorTableWidget->resizeColumnToContents ( 1 );
}

