// POVRay scene file for example image used in help files.
// Copyright Vrai Stacey, 2008
//
// Image used in icon is rendered with:
//     povray +Iexample_scene.pov +Q9 +A +W320 +H240 -D
//
// $Id: example_scene.pov 1437 2008-10-25 18:58:09Z vrai $

global_settings
{
   adc_bailout 0.0039216
   assumed_gamma 1.5
   noise_generator 2
}

fog
{
   fog_type 1
   distance 20
   rgb <0, 0, 0> 
   turbulence <0, 0, 0>
   lambda 0
}

box
{
   <-2.43333, 0, 4.8>, <4.86667, 2, 5.13333>
   
   finish
   {
      reflection
      {
         rgb <1, 1, 1>
      }
   }

   scale 1
   rotate y*(-10)
   translate z*0.033333
}

torus
{
   1, 0.4
   
   pigment
   {
      checker 
      color rgb <0, 0.109804, 0.72549>
      color rgb <0.027451, 0.419608, 0.564706>
   }
   
   finish
   {
      phong 0
      phong_size 40
      specular 1
      roughness 0.05
      
      reflection
      {
         rgb <0.717647, 0.717647, 0.717647>
      }
   }

   scale 1
   rotate <0, 0, 0>
   translate <-2, 0.5, -3>
}

sphere
{
   <0, 1, 0>, 1
   
   pigment
   {
      granite
   }
   
   finish
   {
      phong 0
      phong_size 40
      specular 1
      roughness 0.05
      
      reflection
      {
         rgb <1, 1, 1>
      }
   }

   scale 1
   rotate <0, 0, 0>
   translate <0, 0, 0>
}

cone
{
   <3, 2, 0>, 0,
   <3, 0, 0>, 1
   
   pigment
   {
      agate
      agate_turb 0.5
   }
   
   finish
   {
      phong 0
      phong_size 30
      specular 1
      roughness 0.05
      
      reflection
      {
         rgb <0.341176, 0.341176, 0.341176>
      }
   }

   scale 1
   rotate <0, 0, 0>
   translate <0, 0, 0>
}

plane
{
   <0, 1, 0>, 0
   
   pigment
   {
      hexagon 
      color rgb <0.698039, 0, 0.0117647>
      color rgb <0.478431, 0, 0.00784314>
      color rgb <0.368627, 0, 0.00784314>
   }
   
   finish
   {
      phong 0
      phong_size 40
      specular 1
      roughness 0.05
      
      reflection
      {
         rgb <0.396078, 0.396078, 0.396078>
      }
   }

   scale 1
   rotate <0, 0, 0>
   translate <0, 0, 0>
}

camera
{
   perspective
   location <5, 5, -5>
   sky <0, 1, 0>
   direction <0, 0, 1>
   right <1.33333, 0, 0>
   up <0, 1, 0>
   look_at <0, 0, 0>
}

// Magenta light
light_source
{
   <-8.4857, 7.1, -9.0861>, rgb <0.784314, 0, 1>
}

// Yellow light
light_source
{
   <13.086, 1.6333, -9.1818>, rgb <1, 0.776471, 0.0392157>
}

// Cyan light
light_source
{
   <18.643, 12.333, -0.11719>, rgb <0.490196, 0.862745, 1>
}
