// Copyright Vrai Stacey, 2008
// $Id: filelistmodel.h 1418 2008-10-04 21:03:21Z vrai $

#ifndef INC_FILELISTMODEL_H
#define INC_FILELISTMODEL_H

#include <QStringListModel>
#include <QFileInfo>
#include <QMutex>

class FileListModel : public QStringListModel
{
    Q_OBJECT

    public:
        FileListModel ( QObject * parent = 0 );

        QFileInfo getFileInfo ( int index ) const;

    public slots:
        void addFile ( const QFileInfo & file );
        void addFiles ( const QList<QFileInfo> & files );
        void removeAll ( );
        void removeRows ( const QVector<int> & rows );

    signals:
        void fileCountChanged ( int count );

    protected:
        mutable QMutex m_lock;              // Keeps the model threadsafe
        QSet<QString> m_filenameIndex;      // Duplicate of the model contents, used to speed up uniqueness checks
};

#endif

