// Copyright Vrai Stacey, 2008
// $Id: filelistview.cpp 1386 2008-09-07 19:11:26Z vrai $

#include "filelistview.h"

FileListView::FileListView ( QWidget * parent )
    : QListView ( parent )
{
}

void FileListView::getSelectedRows ( QVector<int> & rows ) const
{
    rows.clear ( );
    const QModelIndexList selected ( selectedIndexes ( ) );
    rows.reserve ( selected.size ( ) );
    foreach ( const QModelIndex & index, selected )
        rows.append ( index.row ( ) );
}

void FileListView::selectionChanged ( const QItemSelection & selected, const QItemSelection & deselected )
{
    QListView::selectionChanged ( selected, deselected );

    const QModelIndexList indicies ( selectedIndexes ( ) );
    emit changedSelection ( indicies.size ( ) );
}

