// Copyright Vrai Stacey, 2008
// $Id: filesearcher.h 1420 2008-10-05 12:04:39Z vrai $

#ifndef INC_FILESEARCHER_H
#define INC_FILESEARCHER_H

#include <QDir>
#include <QSet>

class FileSearcher : public QObject
{
    Q_OBJECT

    public:
        FileSearcher ( QObject * parent = 0 );
        ~FileSearcher ( );

        void run ( );

        void getMatchingFiles ( QList<QFileInfo> & matches ) const;

    public slots:
        void configure ( const QDir & rootDirectory );
        void abort ( );

    signals:
        void started ( );
        void finished ( );

        void updateDirectory ( QString directory );
        void updateCount ( unsigned long filesVisited, unsigned long filesMatched );

    protected:
        QDir m_rootDirectory;
        QSet<QString> m_validExtensions;
        bool m_abort, m_running;

        unsigned long m_filesChecked;
        QSet<QString> m_visitedDirectories;
        QList<QFileInfo> m_matchingFiles;

        void searchDirectory ( const QString & directory );
};

#endif

