// Copyright Vrai Stacey, 2008
// $Id: helpbrowser.h 1436 2008-10-19 13:55:18Z vrai $

#ifndef INC_HELPBROWSER_H
#define INC_HELPBROWSER_H

#include <QTextBrowser>
#include <QStack>

class HelpBrowser : public QTextBrowser
{
    Q_OBJECT

    public:
        HelpBrowser ( QWidget * parent = 0 );

    public slots:
        void backward ( );
        void forward ( );
        void setSource ( const QUrl & name );

    protected:
        QList<QUrl> m_pageStack;    // Current page stack (used by backward/forward navigation)
        int m_pageIndex;            // Current index into the page stack

        bool loadPage ( const QUrl & name );
        void updateNavAvailability ( );
        QString & processHtml ( QString & html ) const;
};

#endif

