// Copyright Vrai Stacey, 2008
// $Id: helpdialog.cpp 1435 2008-10-19 13:18:42Z vrai $

#include "helpdialog.h"
#include <QtDebug>

HelpDialog::HelpDialog ( QWidget * parent )
    : QDialog ( parent )
{
    m_ui.setupUi ( this );

    // Connect the quit button to the reject event
    connect ( m_ui.quitButton, SIGNAL( clicked ( ) ), this, SLOT( reject ( ) ) );

    // Wire up the navigation slots
    connect ( m_ui.contentsButton, SIGNAL( clicked ( ) ), this,             SLOT( showContents ( ) ) );
    connect ( m_ui.backButton,     SIGNAL( clicked ( ) ), m_ui.helpBrowser, SLOT( backward ( ) ) );
    connect ( m_ui.forwardButton,  SIGNAL( clicked ( ) ), m_ui.helpBrowser, SLOT( forward ( ) ) );

    connect ( m_ui.helpBrowser, SIGNAL( backwardAvailable ( bool ) ), m_ui.backButton,    SLOT( setEnabled ( bool ) ) );
    connect ( m_ui.helpBrowser, SIGNAL( forwardAvailable ( bool ) ),  m_ui.forwardButton, SLOT( setEnabled ( bool ) ) );

    // First page should be the contents
    showContents ( );
}

void HelpDialog::showContents ( )
{
    m_ui.helpBrowser->setSource ( QUrl ( "help:index" ) );
}

