// Copyright Vrai Stacey, 2008
// $Id: imageformats.h 1467 2008-11-18 21:57:44Z vrai $

#ifndef INC_IMAGEFORMATS_H
#define INC_IMAGEFORMATS_H

#include <QHash>
#include <QSet>

class QByteArray;
class QTextStream;

class ImageFormats
{
    public:
        static const ImageFormats & instance ( );
        ~ImageFormats ( );

        bool isFormatJpeg ( QString format ) const;
        bool isFormatJpeg ( const QByteArray & format ) const;

        QString getFileDialogConfig ( ) const;
        void getAllExtensions ( QSet<QString> & extensions ) const;

        QStringList getAllFormats ( ) const;

        QString getExtension ( const QString & format ) const;

    private:
        ImageFormats ( );
        static ImageFormats * s_instance;

        static const char * s_sharedExtensions [ ];

        typedef QSet<QString> StringSet;
        typedef QHash<QString, StringSet> StringToSetHash;
        StringToSetHash m_formats;

        void createFileDialogElement ( QTextStream & stream, const QString & type, const StringSet & values ) const;
};

#endif

