// Copyright Vrai Stacey, 2008
// $Id: outputmodel.cpp 1465 2008-11-16 21:19:39Z vrai $

#include "outputmodel.h"

OutputModel::OutputModel ( )
{
    changedFormat ( );      // Make sure that the pair is initialised
}

OutputModel::~OutputModel ( )
{
}

bool OutputModel::validate ( QStringList & errors ) const
{
    if ( m_outputDirectory.exists ( ) )
        return true;

    errors.append ( "Output directory does not exist." );
    return false;
}

const QDir & OutputModel::getOutputDirectory ( ) const
{
    return m_outputDirectory;
}

const QString & OutputModel::getPrefix ( ) const
{
    return m_prefix;
}

const QString & OutputModel::getSuffix ( ) const
{
    return m_suffix;
}

bool OutputModel::changeFormat ( ) const
{
    return m_format.first;
}

const QString & OutputModel::getFormat ( ) const
{
    return m_format.second;
}

void OutputModel::changedOutputDirectory ( const QDir & directory )
{
    m_outputDirectory = directory;
}

void OutputModel::changedPrefix ( const QString & prefix )
{
    m_prefix = prefix;
}

void OutputModel::changedSuffix ( const QString & suffix )
{
    m_suffix = suffix;
}

void OutputModel::changedFormat ( )
{
    m_format = qMakePair ( false, QString ( ) );
}

void OutputModel::changedFormat ( const QString & format )
{
    m_format = qMakePair ( true, format );
}

