// Copyright Vrai Stacey, 2008
// $Id: outputmodel.h 1465 2008-11-16 21:19:39Z vrai $

#ifndef INC_OUTPUTMODEL_H
#define INC_OUTPUTMODEL_H

#include <QString>
#include <QDir>
#include <QPair>

class OutputModel : public QObject
{
    Q_OBJECT

    public:
        OutputModel ( );
        virtual ~OutputModel ( );

        bool validate ( QStringList & errors ) const;

        const QDir & getOutputDirectory ( ) const;
        const QString & getPrefix ( ) const;
        const QString & getSuffix ( ) const;
        bool changeFormat ( ) const;
        const QString & getFormat ( ) const;

    public slots:
        void changedOutputDirectory ( const QDir & directory );

        void changedPrefix ( const QString & prefix );
        void changedSuffix ( const QString & suffix );

        void changedFormat ( );
        void changedFormat ( const QString & format );

    protected:
        QDir m_outputDirectory;             // The output directory for resized images
        QString m_prefix, m_suffix;         // The (optional) prefix/suffix for resized image filenames
        QPair<bool, QString> m_format;      // The boolean indiciates whether the resized images are to be saved in a
                                            // different format to their sources. If true, the string contains the new
                                            // format (should be one from ImageFormats).
};

#endif

