// Copyright Vrai Stacey, 2008
// $Id: progressdialog.cpp 1422 2008-10-05 14:23:52Z vrai $

#include "progressdialog.h"
#include <QScrollBar>

// XXX DEBUG
#include <QtDebug>

ProgressDialog::ProgressDialog ( QWidget * parent )
    : QDialog ( parent )
{
    m_ui.setupUi ( this );

    // Connect the stop button to the reject event
    connect ( m_ui.stopButton,  SIGNAL( clicked ( ) ), this, SLOT( reject ( ) ) );
}

void ProgressDialog::show ( )
{
    // Set the initial label state
    m_ui.statusLabel->setText ( tr ( "Preparing to process images" ) );

    // Display the dialog and grab focus
    QDialog::show ( );
    setFocus ( );

    // Stop the user changing the height of the dialog (width is fine).
    setMaximumHeight ( minimumHeight ( ) );
}

void ProgressDialog::reject ( )
{
    emit rejected ( );
    QDialog::reject ( );
}

void ProgressDialog::countUpdated ( int count, int total )
{
    if ( m_ui.progressBar->maximum ( ) != total )
        m_ui.progressBar->setMaximum ( total );

    m_ui.progressBar->setValue ( count );
    m_ui.statusLabel->setText ( tr ( "Processing file %1 of %2" ).arg ( count ).arg ( total ) );
}

