// Copyright Vrai Stacey, 2008
// $Id: ratiostrategy.cpp 1425 2008-10-05 17:24:36Z vrai $

#include "ratiostrategy.h"
#include "ratiostrategyimpl.h"
#include <QtDebug>

RatioStrategy::~RatioStrategy ( )
{
}

const RatioStrategy & RatioStrategy::get ( Strategy strategy )
{
    static IgnoreSourceRatioStrategy ignoreSourceRatioStategy;
    static MatchWidthStrategy matchWidthStrategy;
    static MatchHeightStrategy matchHeightStrategy;
    static PreserveOrientationStrategy preserveOrientationStrategy;

    switch ( strategy )
    {
        case IgnoreSource:          return ignoreSourceRatioStategy;
        case MatchWidth:            return matchWidthStrategy;
        case MatchHeight:           return matchHeightStrategy;
        case PreserveOrientation:   return preserveOrientationStrategy;

        default:
            qCritical ( ) << "Unknown strategy in RatioStrategy::create ( " << strategy << " ) at " << __FILE__ << ":" << __LINE__;
            exit ( 1 );
    }
}

