// Copyright Vrai Stacey, 2008
// $Id: ratiostrategy.h 1425 2008-10-05 17:24:36Z vrai $

#ifndef INC_RATIOSTRATEGY_H
#define INC_RATIOSTRATEGY_H

#include <QSize>

class RatioStrategy
{
    public:
        enum Strategy
        {
            IgnoreSource,
            MatchWidth,
            MatchHeight,
            PreserveOrientation
        };

        virtual ~RatioStrategy ( );

        virtual QSize operator() ( const QSize & source, const QSize & desired ) const = 0;

        static const RatioStrategy & get ( Strategy strategy );
};

#endif

