// Copyright Vrai Stacey, 2008
// $Id: scalingcombobox.cpp 1426 2008-10-06 19:44:41Z vrai $

#include "scalingcombobox.h"

ScalingComboBox::ScalingComboBox ( QWidget * parent )
    : QComboBox ( parent )
{
    // Populate the combo box with scaling options, linked to their strategy Ids
    addItem ( tr ( "Smooth Scale" ), Qt::SmoothTransformation );
    addItem ( tr ( "Fast Scale" ),   Qt::FastTransformation );
    
    // Link the generic index changed signal to the scaling specific slot
    connect ( this, SIGNAL( currentIndexChanged ( int ) ), this, SLOT( indexChanged ( int ) ) );
    
    // Select the first scaling (will be set to actual value by parent)
    setCurrentIndex ( 0 );
}

void ScalingComboBox::indexChanged ( int index )
{
    emit changedScaling ( static_cast<Qt::TransformationMode > ( itemData ( index ).toInt ( ) ) );
}

void ScalingComboBox::setScalingMode ( Qt::TransformationMode mode )
{
    const int index ( findData ( mode ) );
    if ( index >= 0 )
        setCurrentIndex ( index );
}

