// Copyright Vrai Stacey, 2008
// $Id: searchingdialog.cpp 1463 2008-11-15 17:57:23Z vrai $

#include "searchingdialog.h"
#include <QCoreApplication>

SearchingDialog::SearchingDialog ( QWidget * parent )
    : QDialog ( parent )
{
    m_ui.setupUi ( this );
    
    // Connect the stop button to the reject event
    connect ( m_ui.stopButton,  SIGNAL( clicked ( ) ), this, SLOT( reject ( ) ) );
}

void SearchingDialog::show ( )
{
    // Setup the initial state of the labels
    directoryUpdated ( "" );
    countUpdated ( 0, 0 );

    // Display the dialog and grab focus
    QDialog::show ( );
    setFocus ( );

    // Stop the user changing the height of the dialog (width is fine).
    setMaximumHeight ( minimumHeight ( ) );
}

void SearchingDialog::reject ( )
{
    emit rejected ( );
    QDialog::reject ( );
}

void SearchingDialog::countUpdated ( unsigned long filesVisited, unsigned long filesMatched )
{
    m_ui.filesVisitedLabel->setText ( QString ( tr ( "%1 %2" ) ).arg ( filesVisited ).arg ( filesVisited == 1 ? "file" : "files" ) );
    m_ui.filesMatchedLabel->setText ( QString ( tr ( "%1 image %2" ) ).arg ( filesMatched ).arg ( filesMatched == 1 ? "file" : "files" ) );
}

void SearchingDialog::directoryUpdated ( QString directory )
{
    // TODO Should resize when the window resizes
    m_ui.directoryLabel->setText ( m_ui.directoryLabel->fontMetrics ( ).elidedText ( directory, Qt::ElideMiddle, m_ui.directoryLabel->width ( ) ) );
}

