// Copyright Vrai Stacey, 2008
// $Id: selectionbutton.cpp 1384 2008-09-07 18:28:18Z vrai $

#include "selectionbutton.h"

SelectionButton::SelectionButton ( QWidget * parent )
    : QPushButton ( parent )
    , m_selectionCount ( 0 )
{
}

void SelectionButton::changedSelection ( int selected )
{
    if ( selected != m_selectionCount )
    {
        m_selectionCount = selected;
        setEnabled ( m_selectionCount > 0 );
    }
}

void SelectionButton::fileCountChanged ( int count )
{
    if ( count == 0 )
        changedSelection ( 0 );
}

