// Copyright Vrai Stacey, 2008
// $Id: transformationmodel.h 1401 2008-09-21 17:01:46Z vrai $

#ifndef INC_TRANSFORMATIONMODEL_H
#define INC_TRANSFORMATIONMODEL_H

#include "ratiostrategy.h"
#include <QStringList>
#include <QObject>
#include <QSize>

class TransformationModel : public QObject
{
    Q_OBJECT

    public:
        TransformationModel ( );
        virtual ~TransformationModel ( );
        
        bool validate ( QStringList & errors ) const;
        const QSize & getDimensions ( ) const;
        RatioStrategy::Strategy getRatioStrategy ( ) const;
        Qt::TransformationMode getScalingMode ( ) const;
        int getJpegQuality ( ) const;

    public slots:
        void changedWidth ( int width );
        void changedHeight ( int height );

        void changedRatioStrategy ( RatioStrategy::Strategy strategy );
        void changedScalingMode ( Qt::TransformationMode mode );

        void changedJpegQuality ( int quality );

    protected:
        QSize m_dimensions;
        RatioStrategy::Strategy m_ratioStrategy;
        Qt::TransformationMode m_scalingMode;
        short m_jpegQuality;
};

#endif

